## org.dom4j
Class IllegalAddException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.dom4j.IllegalAddException

All Implemented Interfaces:
  Serializable

public class IllegalAddException
extends IllegalArgumentException

`IllegalAddException` is thrown when a node is added incorrectly to an ``Element``

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Constructor Summary
`IllegalAddException(Branch parent, Node node, String reason)`
`IllegalAddException(Element parent, Node node, String reason)`
`IllegalAddException(String reason)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalAddException

    public IllegalAddException(String reason)

### IllegalAddException

    public IllegalAddException(Element parent,
                               Node node,
                               String reason)

### IllegalAddException

    public IllegalAddException(Branch parent,
                               Node node,
                               String reason)

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.